<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:sec="http://www.w3.org/1999/xhtml"
      layout:decorate="~{layouts/main}">

<head>

</head>

<div layout:fragment="content">
    <!-- Main Content -->
    <div id="content">
        <div class="wrapper wrapper-content animated fadeInRight result-1">
            <!---->
            <!--<div class="clocks" th:unless="${not #lists.isEmpty(results)}">
                <canvas id="canvas" width="300" height="300" >
                </canvas>
            </div>-->
            <div class="row">
                <div class="col-md-12" style="text-align:center">
                    <img style="width: 130px; margin-bottom: 8px" src="img/sunquick/logo.png">
                </div>

                <div class="col-5-grid-res">
                <div class="" th:each="result: ${results}">
                    <div class="ibox-content  text-center result-mark">
                      <div class="row">
                          <div class="col-md-5 col-lg-5">
                              <div class="winner">
                                  <span th:text="${result.rank}">1</span>
                                  <i class="fa fa-trophy"></i>
                                  <span class="winner_text" th:if="${result.rank==1}">Winner</span>
                              </div>
                          </div>
                          <div class="col-md-6 col-lg-6">
                              <img th:src="${result.user.path}" alt="image" class="rounded-circle" width="83" height="83"/>
                          </div>
                          <div class="col-md-12 col-lg-12">
                              <div style="display: flex">
                              <h1 th:text="${result.mark}">Marks</h1>
                                  <h3 th:text="${result.user.username}">user</h3>
                              </div>
                          </div>


                      </div>
                    </div>
                </div>

                </div>
            </div>

        </div>

        <div class="modal-footer " style="" sec:authorize="hasAuthority('ADMIN')">
            <!--<button type="button" class="btn btn-info" data-dismiss="modal">Cancel
            </button>-->
            <a type="button" th:attr="data-target='#myModal'+${round}" data-id="${round}"
               class="btn btn-link btn-sm btn-link-color btn-sm" data-toggle="modal"><i
                    class="fa fa-trash"></i>Delete</a>
        </div>

    </div>

    <div id="myModal" class="modal fade" th:attr="id='myModal'+${round}" tabindex="-1">
        <div class="modal-dialog modal-confirm">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="icon-box">
                        <i class="material-icons">&#xE5CD;</i>
                    </div>
                    <h4 class="modal-title">Are you sure?</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                        &times;
                    </button>
                </div>
                <div class="modal-body">
                    <p>Do you really want to delete these records? This process cannot be
                        undone.</p>
                    <input type="hidden" name="questionId" id="questionId" value=""/>
                </div>
                <div class="modal-footer " style="">
                    <button type="button" class="btn btn-info" data-dismiss="modal">Cancel
                    </button>

                    <a th:href="@{/result/delete}" class="btn btn-danger">Delete</a>
                </div>
            </div>
        </div>
    </div>

    <!--<section class="clock" th:unless="${not #lists.isEmpty(results)}">
        <div class="container">
            <div class="row">
                <div class="col-md-8 input-wrapper">
                    <div class="input">
                        <input type="number" id="num" class="form-control" min="0">
                        <select id="measure" class="form-control">
                            <option value="0">Select Unit</option>
                            <option value="s">Seconds</option>
                            <option value="m">Minutes</option>
                            <option value="h">Hours</option>
                        </select>
                    </div>
                    <div class="buttons-wrapper">
                        <button class="btn" id="start-cronometer">Start Stopwatch</button>
                        <button class="btn" id="start-countdown">Start Countdown</button>
                    </div>
                </div>
                <div id="timer" class="col-12">
                    <div class="clock-wrapper">
                        <span class="hours">00</span>
                        <span class="dots">:</span>
                        <span class="minutes">00</span>
                        <span class="dots">:</span>
                        <span class="seconds">00</span>
                    </div>
                </div>
                <div class="buttons-wrapper">
                    <button class="btn" id="resume-timer">Resume Timer</button>
                    <button class="btn" id="stop-timer">Stop Timer</button>
                    <button class="btn" id="reset-timer">Reset Timer</button>
                </div>
            </div>
        </div>
    </section>-->

</div>

<th:block layout:fragment="script">
    <!--<script src="js/clock.js"></script>
    <script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
    <script src="js/timer-script.js"></script>-->

    <script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.1.4/sockjs.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/stomp.js/2.3.3/stomp.min.js"></script>
    <script src="js/admin-const.js"></script>

    <script src="js/round1Result.js"></script>

</th:block>

</html>